## ŒOID Object ID

Implemented for Internal, External and System classes.

Syntax:

integer „ objref.ŒOID
integer „ classref.ŒOID
integer „ ŒOID (Within user-defined method, same as ŒTHIS.ŒOID)

ŒOID returns an integer which uniquely identifies a given object instance or class definition within the workspace. It starts at 1 for the first-ever object created in the workspace, and increments by one each time a new object is created (for example by a call to ŒNEW or ŒCLONE).

On 32-bit versions of APLX, ŒOID may return a floating-point data type if you have created more object instances than will fit in a 32-bit signed integer.

Topic: APLX Help : Help on APL language : System Methods : ŒOID Object ID

[ Previous | Next | Contents | Index ]